<%@page import="q02b.exe.arquitectura.webCommon.utils.gdtp.Q02bGenericDataTransferProtocol"%>

<%@page import="q02b.exe.arquitectura.webCommon.beans.Q02bProcessLauncherBean"%>



<%

String data = request.getParameter("GDTP_DATA");

String className = null;

Q02bGenericDataTransferProtocol gdtp = null;



if(data==null)

	data = request.getParameter("GDTP_DATA_1");



if(data!=null){

	gdtp = Q02bGenericDataTransferProtocol.parse(data);

	java.util.Map clase= gdtp.getGroupPropertyMap("APP_PARAMETERS");

	className = (String)clase.get("CLASSNAME");

}



if(className==null){

//Meter un error

}



try{

	Q02bProcessLauncherBean bean = (Q02bProcessLauncherBean) Class.forName(className).newInstance();

	bean.initProcessLauncherBean(pageContext);

	bean.setGDTP(gdtp);

	Q02bGenericDataTransferProtocol datosRespuesta = bean.launch();

	out.print(datosRespuesta.serialize());

}catch(Exception ex){

//TODO: crear un gdtp con los datos

}%>